#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hoauth2
version:              2.7.0
visibility:           public
id:                   hoauth2-2.7.0-B0LLKb1HQwm9cMhSV813BE
key:                  hoauth2-2.7.0-B0LLKb1HQwm9cMhSV813BE
license:              MIT
copyright:            Haisheng Wu
maintainer:           Haisheng Wu <freizl@gmail.com>
author:               Haisheng Wu
stability:            Beta
homepage:             https://github.com/freizl/hoauth2
synopsis:             Haskell OAuth2 authentication client
description:
    Haskell OAuth2 authentication client.

    Tutorial <https://github.com/freizl/hoauth2/tree/main/hoauth2-tutorial/>

    Demo application <https://github.com/freizl/hoauth2-demo/tree/main/hoauth2-demo/>

category:             Network
abi:                  1cf685977730151b1c7d06711fcc1937
exposed:              True
exposed-modules:
    Network.OAuth.OAuth2 Network.OAuth.OAuth2.AuthorizationRequest
    Network.OAuth.OAuth2.HttpClient Network.OAuth.OAuth2.TokenRequest
    Network.OAuth2.Experiment

hidden-modules:
    Network.OAuth.OAuth2.Internal Network.OAuth2.Experiment.Pkce
    Network.OAuth2.Experiment.Types Network.OAuth2.Experiment.Utils
    Paths_hoauth2

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hoauth2-2.7.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hoauth2-2.7.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hoauth2
hs-libraries:         HShoauth2-2.7.0-B0LLKb1HQwm9cMhSV813BE
depends:
    aeson-2.1.2.1-C2lvYQBBKZqBmgtqDyQIib base-4.15.1.0
    base64-0.4.2.4-2VjxIHF7ZspFyvzqb8xgqz binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-3IfW3sIASsWAjxaXX6pjKd
    data-default-0.7.1.1-4W3DdpWCDdz1ZSimKMWhuv exceptions-0.10.4
    http-conduit-2.3.8.3-Gny0cBcPob0Gu1J1LGWExU
    http-types-0.12.3-Lqzr84ReqW67X7V2trk2er
    memory-0.18.0-KC0M2DcF55TEVHxP6av2cL
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4 text-1.2.5.0
    transformers-0.5.6.2 uri-bytestring-0.3.3.1-3eA0phktBJe2kApCg2aE2i
    uri-bytestring-aeson-0.1.0.8-4lWWo1AEG781noNJQMcaN6

haddock-interfaces:   /usr/share/doc/haskell-hoauth2/html/hoauth2.haddock
haddock-html:         /usr/share/doc/haskell-hoauth2/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

